Name:           perl-Catalyst-Runtime
Version:        5.7012
Release:        3%{?dist}
Summary:        Catalyst core modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Runtime/
# remember to rebuild perl-Catalyst-Devel on update of this package
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Runtime-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl >= 1:5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Harness)
# cpan
BuildRequires:  perl(CGI::Simple::Cookie)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::Inspector) >= 1.06
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(File::Modified)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTTP::Body) >= 0.9
BuildRequires:  perl(HTTP::Headers) >= 1.64
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::AsCGI) >= 0.5
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Pluggable) >= 3.01
BuildRequires:  perl(Path::Class) >= 0.09
BuildRequires:  perl(Text::SimpleTable) >= 0.03
BuildRequires:  perl(Tree::Simple) >= 1.15
BuildRequires:  perl(Tree::Simple::Visitor::FindByPath)
BuildRequires:  perl(URI) >= 1.35
# test
BuildRequires:  perl(Class::C3)
BuildRequires:  perl(File::Copy::Recursive)
#BuildRequires:  perl(GTop)
BuildRequires:  perl(Proc::ProcessTable)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(YAML)

# use base ...
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Class::Data::Inheritable)
# 'requires'
Requires:       perl(HTTP::Request::AsCGI) >= 0.5


%description
This is the primary class for the Catalyst-Runtime distribution.  It provides
the core of the any runtime Catalyst instance.

%prep
%setup -q -n Catalyst-Runtime-%{version}

# something like this seems to beg for explicitness
perldoc perlgpl      > COPYING.gpl
perldoc perlartistic > COPYING.artistic

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# packaged better -- and conflicting with! -- in Catalyst-Manual
rm %{buildroot}%{perl_vendorlib}/Catalyst/Manual.pm

%check
# note that some of the optional tests we're enabling here will be skipped
# anyways, due to deps on Catalyst::Devel, etc.  We cannot depend on
# Catalyst::Devel, however, as it depends on us, and circular dep loops are
# never fun.  (Well, maybe to Zeno.)
#
# See also http://rt.cpan.org/Public/Bug/Display.html?id=27123

export TEST_POD=1
export TEST_LIGHTTPD=1
export TEST_HTTP=1 
# fails weirdly.  see http://rt.cpan.org/Ticket/Display.html?id=26732
#export TEST_MEMLEAK=1 
export TEST_STRESS=1 
export TEST_THREADS=1 
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING*
%{perl_vendorlib}/*
%{_mandir}/man3/*
# we deliver this in perl-Catalyst-Devel (needs Catalyst::Helper)
%exclude %{_bindir}/*
%exclude %{_mandir}/man1/*

%changelog
* Thu Mar 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7012-3
- nuke Catalyst/Manual.pm from this dist -- handled in perl-Catalyst-Manual

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 5.7012-2
- rebuild for new perl

* Sat Mar 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7012-1
- update to 5.7012

* Sun Oct 28 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.7011-1
- update to 5.7011

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.7007-4
- bump

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.7007-3
- additional br's

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.7007-2
- exclude catalyst.pl from this package -- it depends on
  perl(Catalyst::Helper), which is provided by perl-Catalyst-Devel (but which
  has a buildreq on this package).  We will provide catalyst.pl in
  perl-Catalyst-Devel instead.

* Tue Apr 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.7007-1
- Specfile autogenerated by cpanspec 1.70.
